=== debian/changelog ===
vdr (1.0.0-1woody2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed arbitrary file overwrite vulnerability by switching from fopen()
    to open()+fdreopen() and O_CREAT|O_EXCL
    [debian/patches/security-z50_CAN-2005-0071_fopen, CAN-2005-0071]

 -- Martin Schulze <joey@infodrom.org>  Sun, 16 Jan 2005 15:45:23 +0100

vdr (1.0.0-1) unstable; urgency=medium

  * New upstream (stable) release
  * removed manpages hocus-pocus and forced to use new version to avoid
    trashing of vdr.1. Closes: #142809
  * removed kvdr references, it is broken anyways

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Apr 2002 23:43:41 +0200

vdr (0.98+1.0.0pre5-1) unstable; urgency=high

  * New upstream (pre)release, closes: #141035
  * Urgency high, since the Woody version is already broken since the new
    drivers entered it recently
  * incompatible with kvdr, set Conflicts:
  * Changed the build-system to DBS like
  * Added the tools pack from Upstream's web location and the FORMATS file
  * Not including the DVD patch, too unstable.

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Apr 2002 12:10:31 +0200

vdr (0.98-2) unstable; urgency=medium

  * Disabled SVDRP port as-default and noted in README.Debian. 
    Better secure than warned and less secure. Closes: #117193
  * added more Build-Depends, closes: #123701
  * now conflicting with previous kvdr version and recommending the new since
    kvdr would break starting vdr-daemon without port specification.

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Dec 2001 00:58:01 +0100

vdr (0.98-1) unstable; urgency=low

  * New upstream release
  * fixed spelling errors

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Nov 2001 09:56:49 +0100

vdr (0.96-4) unstable; urgency=low

  * improved Description, thanks to Joey and Alfie
  * included README and other scripts, maybe usefull

 -- Eduard Bloch <blade@debian.org>  Thu, 11 Oct 2001 12:56:42 +0200

vdr (0.96-3) unstable; urgency=high

  * all versions except of -daemon disable the control port by default
    (possible security hole). Debconf warning for -daemon.
  * package splited
  * building additional vdr-daemon binary, needed for kvdr
  * fixed postinst files, there were too much copy&paste work :(

 -- Eduard Bloch <blade@debian.org>  Mon,  8 Oct 2001 13:21:31 +0200

vdr (0.96-2) unstable; urgency=low

  * enabled DVD support after helping Brian to fix libdvdread packages

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Oct 2001 16:27:53 +0200

vdr (0.96-1) unstable; urgency=low

  * New upstream release
  * removed upx stuff
  * no DVD support until the libdvdread2 package is ready

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Oct 2001 02:24:51 +0200

vdr (0.95-1) unstable; urgency=low

  * Initial Release, closes: #113106
  * Made a little hack to create the channel.conf template from Debian examples

 -- Eduard Bloch <blade@debian.org>  Sat, 22 Sep 2001 03:16:11 +0200

Local variables:
mode: debian-changelog
End:
