=== debian/control ===
Source: vdr
Section: misc
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), dvb-dev, libncurses5-dev, g++, libjpeg62-dev
Standards-Version: 3.5.2

Package: vdr
Architecture: i386
Depends: ${shlibs:Depends}, vdr-kbd | vdr-lirc | vdr-rcu | vdr-daemon
Conflicts: kvdr (<< 0.43), vdr-kbd (<< 1.0.0), vdr-lirc (<< 1.0.0), vdr-daemon (<< 1.0.0)
Description: Video Disk Recorder for DVB-S cards, base package
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB-S technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 (hardware accelerated) with some comfort and use a IR remote control.
 .
 This package contains files shared by different VDR versions and
 frontends.
 NOTE: You should install compatible DVB drivers before using these
 programs.

Package: vdr-kbd
Architecture: i386
Depends: ${shlibs:Depends}, vdr (= ${Source-Version})
Description: Video Disk Recorder for DVB-S cards with keyboard control
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB-S technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 with some comfort and hardware acceleration.
 .
 This package contains the vdr-kbd program which is controlled via the
 PC keyboard. There are also vdr-rcu and vdr-lirc packages which
 contain another VDR versions using RCU or infrared remote control.

Package: vdr-lirc
Architecture: i386
Depends: ${shlibs:Depends}, vdr (= ${Source-Version})
Description: Video Disk Recorder for DVB-S cards with IR remote control
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB-S technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 with some comfort and hardware acceleration.
 .
 This package contains the vdr-lirc program which is controlled via a
 IR remote control. There are also vdr-kbd and vdr-rcu packages which
 contain another VDR versions using keyboard/rcu control.

Package: vdr-rcu
Architecture: i386
Depends: ${shlibs:Depends}, vdr (= ${Source-Version})
Description: Video Disk Recorder for DVB-S cards with RCU control
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB-S technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 with some comfort and hardware acceleration.
 .
 This package contains the vdr-kbd program which is controlled via the
 the "Remote Control Unit". There are also vdr-kbd and vdr-lirc
 packages which contain another VDR versions using PC keyboard or
 infrared remote control.

Package: vdr-daemon
Architecture: i386
Depends: ${shlibs:Depends}, vdr (= ${Source-Version}), debconf, 
Description: Server version of Video Disk Recorder for DVB-S cards
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB-S technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV. It is also possible to watch DVDs
 with some comfort and hardware acceleration.
 .
 This package contains a VDR version without any direct control
 capabilities.  Instead, it opens a control port and other programs
 like kvdr (from the kvdr package) can connect to the vdr-daemon and
 use it.
