=== libdtv/libvdr/Makefile ===
--- 
+++ 
@@ -27,10 +27,11 @@
 #
 #
 #
-CC = gcc
-CFLAGS = -O2 -g -Wmissing-prototypes -Wstrict-prototypes \
-         -Wimplicit -D__USE_FIXED_PROTOTYPES__ -I../include # -DDEBUG
+CC ?= gcc
+CFLAGS ?= -O2 -g -Wmissing-prototypes -Wstrict-prototypes \
+         -Wimplicit -D__USE_FIXED_PROTOTYPES__ # -DDEBUG
 
+CFLAGS += -I../include
 
 AR = ar
 ARFLAGS = r
